View Issue Details

IDProjectCategoryView StatusLast Update
0037090FPCDocumentationpublic2020-05-21 18:15
ReporterNoName Assigned ToMichael Van Canneyt  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0.4 
Fixed in Version3.3.1 
Summary0037090: InterlockedCompareExchange docu says Comparand while variablename is Comperand
DescriptionIn text it always uses Comparand while the variablename is Comperand.

https://www.freepascal.org/docs-html/rtl/system/interlockedcompareexchange.html
TagsNo tags attached.
Fixed in Revision1704
FPCOldBugId
FPCTarget3.2.0
Attached Files

Activities

Michael Van Canneyt

2020-05-20 11:41

administrator   ~0122952

Resolved, thanks for reporting!

Issue History

Date Modified Username Field Change
2020-05-17 01:06 NoName New Issue
2020-05-17 01:06 NoName Status new => assigned
2020-05-17 01:06 NoName Assigned To => Michael Van Canneyt
2020-05-20 11:41 Michael Van Canneyt Status assigned => resolved
2020-05-20 11:41 Michael Van Canneyt Resolution open => fixed
2020-05-20 11:41 Michael Van Canneyt Fixed in Version => 3.3.1
2020-05-20 11:41 Michael Van Canneyt Fixed in Revision => 1704
2020-05-20 11:41 Michael Van Canneyt FPCTarget => 3.2.0
2020-05-20 11:41 Michael Van Canneyt Note Added: 0122952
2020-05-21 18:15 NoName Status resolved => closed